Subject: RE: [nemo] About Test Specification in IPv6 Ready Logo

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Mon, 27 Nov 2006 13:29:50 +0100

>> Your example is an extended Home Network case, and you have used a
Home
>> Address from the prefix on the Home Link. In that case, the HA
expects
>> that the MR is at Home when there is not binding, and it will deliver
>> over the Home Link the packets routed via MR's HoA A:B:C:0::i.
>
>My example is an extended Home Network case. But, Home Address from
>Mobile Network Prefix (5.3 Home Address from MNP in
draft-ietf-nemo-home
>-network-models-06).

[Pascal] OK. That was not obvious from the picture since you did not
provide the HoA :)

As a reminder, we do not recommend the configuration that you are
proposing.
"
   There are a number of issues with returning home when a mobile router
   configures its home address from the MNP as described in Section 5.3.
   Therefore we do not recommend this mechanism if the mobile routers
   attach to the home network.
"

If you still want to, you might for instance configure statically a
connected route to the Home aggregation via the Home Link. At this point
you are more or less back to the aggregated mode. But then again, why
would you do that? Extended mode is meant to take the Home address from
the /64 on the Home Link, thus my assumption on A:B:C:0::i.

>
>
>>
>> As Keiichi says there are 2 case.
>>
>> Implicit:
>>
>> HA knows A:B:C:i::/64 via A:B:C:0::i; if this is a static information
>> (static or automatic route) then the HA keeps that route regardless
of
>> whether the MR is bound. The HA can share that information with other
>> GWs on the Home Link using an IGP over the Home Link, but to keep it
>> simple just assume that the HA is also the default GW in the Home
Link.
>>
>> So if MR1 is at Home, the HA can still reach any LFN behind it
because
>> it has a static information for the route A:B:C:i::/64 via A:B:C:0::i
>> and it expects A:B:C:0::i over the Home Link. If another MR at home
>> needs to reach the LFN, packets will first reach the HA (default GW),
>> and the HA will issue an ICMP redirect. MRs could also expose their
>> prefix on the Home Link using RFC 4191 to save that flow.
>>
>> So MRs do not need to participate to the IGP on the Home Link, and
that
>> can be a benefit in a very large or very dynamic Home configuration
>
>I understand this case (thanks you).
>
>On the other hand, in the case Home Address from MNP.
>Does MR need to join in IGP after configuring the address at the home?

[Pascal] As I said, you can use a static route to the Home aggregation
over the Home interface. One more static route... Obviously you could
mix and match static and dynamic routing, but if you are already using
static routes, I'd go for one more static. But then again, I would not
use HoA from MNP in extended mode if MRs need to go back home.

>
>>
>>
>> Explicit:
>>
>> The route in the HA is associated to the binding. When the MR comes
back
>> Home, the route is lost and the MR needs to participate to whatever
IGP
>> is run at Home. The choice of the IGP is a configuration issue, it
can
>> be any of the usual suspects (OSPF, RIP, EIGRP, ISIS, you name it).
It
>> could even be a MANET :) The choice of the IGP and how you deploy it
>> will impact the capability for your Home Network to handle/survive a
>> more or less high rate of changes (routers in/out)
>>
>> What NEMO adds: NEMO requires that the MR presents itself as a router
>> and participates to the IGP only if it is at Home. So either you have
a
>> dedicated interface for going Home or you have some dynamics in the
>> behavior of the roaming interface(s) that can reach Home to switch
>> between at-Home and Roaming profiles.
>
>Ok, I understand.
>This is the same also in the case from MNP, isn't it?

[Pascal] Yes... if I understand you well. More words to make sure:

The MR at Home autoconfigures a Link Local Address for the Home Link,
and exposes the MNP route with the IGP using that LLA. This happens
regardless of whether the HoA was derived from the prefix on the Home
Link or from the MNP. In all cases, the HA obtains a route towards the
MNP via the MR LLA.

Makes sense?

Pascal

>
>Best regards
>---
>Kiyoaki KAWAGUCHI
>
>
>
>>
>> It can be expected that routing within a nested NEMO (MANEMO) will
>> somewhat alleviate that restriction.
>>
>> Pascal
>>
>> >-----Original Message-----
>> >From: K.Kawaguchi [mailto:[email-masked]]
>> >Sent: Monday, November 27, 2006 2:49 AM
>> >To: [email-masked]; [email-masked]
>> >Subject: Re: [nemo] About Test Specification in IPv6 Ready Logo
>> >
>> >Hi,
>> >
>> >"Keiichi SHIMA <[email-masked]>" wrote:
>> >> On 2006/11/25, at 13:29, Keiichi SHIMA wrote:
>> >>
>> >> >>> So, even in
>> >> >>> the case 2, we can put a routing entry for the mobile network
>> prefix
>> >> >>> by not using any routing protocol.
>> >> >>
>> >> >> Please teach the method of not using routing protocol.
>> >> >> Is there draft or RFC ?
>> >> >
>> >> > Since a mobile node knows its mobile network prefix, it can
install
>> >> > a routing entry for it after it receives a binding ack message.
>> >> > The home agent of the mobile node will know the mobile network
>> >> > prefix stored in a binding update message from the mobile node,
it
>> >> > can also install a routing entry when it receives the binding
>> >> > update message.
>> >>
>> >> Some more minor additional notes...
>> >>
>> >> The above example is for the explicit mode.  And if we use
implicit
>> >> mode, then these two entities already know what to do when
>> >> registration completes.  So either using a dynamic routing or not
is
>> >> just a configuration issue for route management and it has nothing
to
>> >> do with the network model.
>> >>
>> >> # if I'm not missing something.
>> >
>> >I still have my uncertain point.
>> >Please look at the following figures.
>> >
>> >                   |
>> >                   HA1
>> >                   |
>> >  -----+-----+-----+-----+----- Home Link: A:B:C:0::/64
>> >       |     |           |
>> >       |     |           | MR1-egress
>> >       H     R(MR)       MR1
>> >             |           | MR1-ingress (Home Address)
>> >                         |
>> >                        -+----- Mobile Network: A:B:C:i::/64
>> >
>> >
>> >I agree as you say, HA and MR can install own routing table entry by
>> >binding message. However, how do you tell it to other nodes on home
>> >network?
>> >How do you do when MR1 moves from the home link and the binding
message
>> >is completed? Also, how do you do when MR1 returns to the home link?
>> >
>> >
>> >Best regards
>> >---
>> >Kiyoaki KAWAGUCHI
>>
>>

---

From: "K.Kawaguchi" <[email-masked]>
Date: Tue, 28 Nov 2006 11:17:10 +0900

Hi,

> the /64 on the Home Link, thus my assumption on A:B:C:0::i.

OK. I find this method (Extend mode and Home address from MNP) not having
any advantage.

> use HoA from MNP in extended mode if MRs need to go back home.

I understand.

> Link or from the MNP. In all cases, the HA obtains a route towards the

OK, I understand.
Hearty thanks for your e-mails.

Best regards
---
Kiyoaki KAWAGUCHI